import { z } from "zod";
export declare const ZResponseData: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
export type TResponseData = z.infer<typeof ZResponseData>;
declare const ZResponse: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    surveyId: z.ZodString;
    person: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributes?: Record<string, string | number>;
    }, {
        id?: string;
        attributes?: Record<string, string | number>;
    }>>;
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
    };
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
    };
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}>;
export type TResponse = z.infer<typeof ZResponse>;
export declare const ZResponseInput: z.ZodObject<{
    surveyId: z.ZodString;
    personId: z.ZodNullable<z.ZodString>;
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
}, "strip", z.ZodTypeAny, {
    surveyId?: string;
    personId?: string;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}, {
    surveyId?: string;
    personId?: string;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}>;
export type TResponseInput = z.infer<typeof ZResponseInput>;
export declare const ZResponseUpdateInput: z.ZodObject<{
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
}, "strip", z.ZodTypeAny, {
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}, {
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}>;
export type TResponseUpdateInput = z.infer<typeof ZResponseUpdateInput>;
export {};
